package com.ruoyi.mall.mapper;

import java.util.List;
import com.ruoyi.mall.domain.MallOrderbackGoods ;
import org.apache.ibatis.annotations.Param;

/**
 * 退货订单商品Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-20
 */
public interface MallOrderbackGoodsMapper 
{
    /**
     * 查询退货订单商品
     * 
     * @param id 退货订单商品主键
     * @return 退货订单商品
     */
    public MallOrderbackGoods selectMallOrderbackGoodsById(Long id);

    /**
     * 查询退货订单商品列表
     * 
     * @param mallOrderbackGoods 退货订单商品
     * @return 退货订单商品集合
     */
    public List<MallOrderbackGoods> selectMallOrderbackGoodsList(MallOrderbackGoods mallOrderbackGoods);

    /**
     * 新增退货订单商品
     * 
     * @param mallOrderbackGoods 退货订单商品
     * @return 结果
     */
    public int insertMallOrderbackGoods(MallOrderbackGoods mallOrderbackGoods);

    /**
     * 修改退货订单商品
     * 
     * @param mallOrderbackGoods 退货订单商品
     * @return 结果
     */
    public int updateMallOrderbackGoods(MallOrderbackGoods mallOrderbackGoods);

    /**
     * 删除退货订单商品
     * 
     * @param id 退货订单商品主键
     * @return 结果
     */
    public int deleteMallOrderbackGoodsById(Long id);

    /**
     * 批量删除退货订单商品
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallOrderbackGoodsByIds(Long[] ids);

    List<MallOrderbackGoods> selectMallOrderbackGoodsByOrderId(Long id);

    List<MallOrderbackGoods> selectMallOrderbackGoodsByrefundno(@Param("refundno") String refundno);
void updateMallOrderbackGoodsByBatchId(MallOrderbackGoods mallOrderbackGoods);
}
